### Hierarchy

- JsonViewer

## Index

### Constructors

- constructor

### Properties

- allowCopy
- collapseAt
- data
- dataJson
- el
- jsonLoaded
- jsonUrl
- jsonViewer
- maxLevel

### Methods

- componentDidLoad
- componentDidUnload
- render

## Constructors

### constructor

- new JsonViewer(): JsonViewer

- - Defined in json-viewer/json-viewer.tsx:21

  #### Returns JsonViewer

## Properties

### allowCopy

allowCopy: boolean = true

- Defined in json-viewer/json-viewer.tsx:19

### collapseAt

collapseAt: number

- Defined in json-viewer/json-viewer.tsx:18

### data

data: any

- Defined in json-viewer/json-viewer.tsx:12

### dataJson

dataJson: string

- Defined in json-viewer/json-viewer.tsx:15

### el

el: HTMLElement

- Defined in json-viewer/json-viewer.tsx:10

### jsonLoaded

jsonLoaded: boolean = false

- Defined in json-viewer/json-viewer.tsx:13

### jsonUrl

jsonUrl: string

- Defined in json-viewer/json-viewer.tsx:16

### jsonViewer

jsonViewer: any

- Defined in json-viewer/json-viewer.tsx:21

### maxLevel

maxLevel: number

- Defined in json-viewer/json-viewer.tsx:17

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in json-viewer/json-viewer.tsx:27

  #### Returns void

### componentDidUnload

- componentDidUnload(): void

- - Defined in json-viewer/json-viewer.tsx:31

  #### Returns void

### render

- render(): any

- - Defined in json-viewer/json-viewer.tsx:35

  #### Returns any